=== debian/changelog ===
trac (0.12.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #563391) (LP: #696284)
    - fixes search highlighting (Closes: #621488)
  * Drop 15_remove_jquery_file.dpatch because Trac requires a specific
    version of jQuery (Closes: #592734, #610557) (LP: #526810, #610205).
    (also drop postinst and prerm code for using the provided version)
  * Drop 40_timeline_author_filter.dpatch: fixed upstream.
  * Drop 60_fix_nameerror.dpatch: fixed upstream.
  * Drop 70_cache_control_typo.dpatch: fixed upstream
  * Drop 80_correct_plugin_names.dpatch: upstream changed mechanism which
    probably also fixes the original issue.
  * Switch to 3.0 (quilt) source format.
  * Update Vcs-Browser field (Closes: #629651).
  * Moved packaging from python-central to dh_python2 (Closes: #617126).
  * Dropped conflicts on libapache2-mod-python2.3 because that package was
    removed before the lenny release.
  * Switch to dh-style debian/rules.
  * Bump standards-version to 3.9.2; no changes required.
  * No longer include empty /etc/trac directory.
  * Re-organise dependencies, removing deprecated things and adding things
    for Trac 0.12.
  * Make package lintian clean.
  * Update debian/copyright file.

 -- Arthur de Jong <adejong@debian.org>  Wed, 13 Jul 2011 23:00:00 +0200

trac (0.11.7-4) unstable; urgency=low

  * No longer reference site-packages (Closes: #588136, #591593).
    Thanks to Ara Pulido <ara@ubuntu.com> for reporting and patch.
  * Use changeset 9403, missing imports (Closes: #583154).
    Thanks to Anatoly <techtonik@php.net>.
  * Lintian cleanups in debian/control.
  * New policy version, no changes.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 04 Aug 2010 20:26:31 +0000

trac (0.11.7-3) unstable; urgency=low

  * Correced accidently moved DEBHELPER line (Closes: #576988).
    Thanks to Marc J. Driftmeyer <mjd@reanimality.com>.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Apr 2010 19:56:26 +0000

trac (0.11.7-2) unstable; urgency=low

  * Removed Luis and Jesus from uploaders. Thanks for your work!
  * Create symlink for jquery.js (Closes: #495053). Thanks to
    Max V. Stotsky" <ms@pereslavl.ru>.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Apr 2010 08:25:08 +0000

trac (0.11.7-1) unstable; urgency=low

  * New upstream release (Closes: #573260).
  * Added more Trac plugins as suggestions.
  * Removed obsolete patches.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 17 Feb 2010 08:38:41 +0100

trac (0.11.6-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Replace deprecated > operator with >=.
  [ W. Martin Borgert ]
  * Fix problem with wrong plugin names (Closes: #562963). Thanks to
    Anatoly Techtonik <techtonik@gmail.com> for providing the patch.
  * Added some Trac plugins as suggestions.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Feb 2010 13:06:32 +0000

trac (0.11.6-2) unstable; urgency=low

  * Create jQuery symlink at install time, as the file might not
    exist at that moment. (Closes: #562145). Thanks, Clint Adams.
  * Fix a typo in tracd HTTP header, thanks to Sebastien Couret
    for fixing. (Closes: #561406).

 -- W. Martin Borgert <debacle@debian.org>  Thu, 24 Dec 2009 08:43:08 +0000

trac (0.11.6-1) unstable; urgency=low

  * New upstream release (Closes: #558976).
  * Fix version of build dependency (Closes: #551688), thanks, Kumar Appaiah.
  * Fix a potential pysqlite cursor problem, thanks, Grzegorz Sobanski.
    See debian/patches/60_roadmap_dbx_cursor_fix.dpatch

 -- W. Martin Borgert <debacle@debian.org>  Mon, 07 Dec 2009 17:19:33 +0000

trac (0.11.5-5) unstable; urgency=low

  * Include SqliteToPg script in contrib (Closes: #505680).
  * Advice user to restart HTTPD after upgrade in README.Debian
    (Closes: #519670).
  * Add patch to support user filter for timeline (Closes: #550469).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Oct 2009 12:00:50 +0000

trac (0.11.5-4) unstable; urgency=low

  * Revert the change: Depend on python-setuptools instead of
    python-pkg-resources (Closes: #546426). In theory setuptools
    should not be needed (only used in env.py and requires.txt).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 29 Sep 2009 01:34:38 +0200

trac (0.11.5-3) unstable; urgency=low

  [ W. Martin Borgert ]
  * Improved package description.
  * Fixed another lintian.
  * Use python.mk and its macros py_setup_install_args and py_libdir_sh
    for Python 2.6, thanks to Chris Coulson <chrisccoulson@ubuntu.com>
    for the patch (Closes: #547865).
  * Relax dependencies on JQuery and Subversion (Closes: #547450).
  * Depend on python-pkg-resources instead of python-setuptools
    (Closes: #546426).
  * Add suggestions for trac-accountmanager and trac-email2trac.
  * Add some words about sqlite upgrade to README.Debian
    (Closes: #501338).
  * Use UTF-8 as default charset instead of ISO-8859-15.

  [ anatoly techtonik ]
  * README.Debian update for 0.11.x
    - Trac can work without repository
    - warn that CGI setup is sluggish
    - other minor edits

 -- W. Martin Borgert <debacle@debian.org>  Mon, 28 Sep 2009 20:27:54 +0000

trac (0.11.5-2) unstable; urgency=low

  * Set exec bit for *_frontends (Closes: #510441), thanks to Torsten
    Landschoff for the patch.
  * Move python-psycopg2 and python-mysql from Suggests to Depends as
    alternative to python-psqlite2 (Closes: #513117).
  * Use debhelper 7 (Closes: #497862).
  * Don't compress *-hook files and don't install MS-Windows *.cmd
    files (Closes: #526142), thanks to Jan Dittberner for the patch.
  * Add README.source to point to dpatch.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 15 Sep 2009 21:43:38 +0000

trac (0.11.5-1) unstable; urgency=low

  * New upstream release (Closes: #521513).
  * Fixed pysqlite dependency (Closes: #518560), thanks to Alban
    Browaeys for the patch.
  * Fixed missing contrib files (Closes: #495019), thanks to Alexander
    Gerasiov for the patch.

