=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_compress:
	dh_compress -X.py -X-hook

override_dh_fixperms:
	dh_fixperms
	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py
