## trac 0.12.3

=== debian/changelog ===
trac (0.12.3-1) unstable; urgency=low

  * new upstream version (Closes: #658963)
  * remove embedded jQuery copy, again (Closes: #645235)
  * new policy version, no changes
  * suggest python-psycopg2, add some hints about using Trac with
    PostgreSQL in README.Debian
  [ Daniel Kahn Gillmor <dkg@fifthhorseman.net> ]
  * add Build-Dep on python-babel so that translations will be shipped
    (Closes: #644401)

 -- W. Martin Borgert <debacle@debian.org>  Thu, 31 May 2012 20:55:24 +0000
