=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: trac
 Section: web
 Priority: optional
-Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~)
-Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6)
+Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~), libjs-jquery
+Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6), python-babel (>= 0.9.5)
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Otavio Salvador <otavio@debian.org>, W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3.1
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/trac/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/trac/trunk/
 X-Python-Version: >= 2.5
@@ -14,7 +14,7 @@
 Package: trac
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-setuptools (>= 0.6),
-         python-genshi (>= 0.6)
+         python-genshi (>= 0.6), libjs-jquery
 Recommends: apache2 | httpd, python-subversion, python-pygments (>= 0.6),
             python-tz, python-babel (>= 0.9.5), python-docutils (>= 0.3.9)
 Suggests: libapache2-mod-wsgi, python-textile (>= 2.0),
@@ -22,7 +22,7 @@
           trac-mercurial (>= 0.11.0.4), trac-accountmanager, trac-email2trac,
           trac-xmlrpc, trac-wysiwyg, trac-mastertickets, trac-customfieldadmin,
           trac-bitten, trac-authopenid, trac-graphviz, trac-wikirename,
-          trac-wikiprint, trac-ja-resource
+          trac-wikiprint, trac-ja-resource, python-psycopg2
 Description: Enhanced wiki and issue tracking system for software development projects
  Trac uses a minimalistic approach to web-based software project management.
  Its mission is to help developers write great software while staying out of
