=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
 	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
 	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py
+
+override_dh_install:
+	dh_install --exclude=jquery.js
