=== debian/changelog ===
trac (0.12.4-1) experimental; urgency=low

  [ W. Martin Borgert <debacle@debian.org> ]
  * New upstream 0.12.4 (long term support).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Oct 2012 12:05:25 +0000
