## trac 0.12.5

=== Makefile ===
--- 
+++ 
@@ -65,6 +65,7 @@
 
   diff                show relevant changes after an update for all catalogs
   diff-xy             show relevant changes after an update for the xy locale
+  [vc=...]            variable containing the version control command to use 
 
   [locale=...]        variable for selecting a set of locales
 
@@ -141,6 +142,7 @@
 
 .PHONY: extract extraction update compile check stats summary diff
 
+
 init-%:
 	@[ -e $(messages.po) ] \
 	 && echo "$(messages.po) already exists" \
@@ -149,9 +151,11 @@
 	 && echo "$(messages-js.po) already exists" \
 	 || python setup.py init_catalog_js -l $(*)
 
+
 extract extraction:
 	python setup.py extract_messages extract_messages_js
 
+
 update-%:
 	python setup.py update_catalog -l $(*) update_catalog_js -l $(*)
 
@@ -161,6 +165,7 @@
 update:
 	python setup.py update_catalog update_catalog_js
 endif
+
 
 compile-%:
 	python setup.py compile_catalog -l $(*) \
@@ -173,6 +178,7 @@
 	python setup.py compile_catalog compile_catalog_js
 endif
 
+
 check: pre-check $(addprefix check-,$(locales))
 	@echo "All catalogs checked are OK"
 
@@ -182,6 +188,7 @@
 check-%:
 	@echo -n "$(@): "
 	@python setup.py check_catalog -l $(*) check_catalog_js -l $(*)
+
 
 stats: pre-stats $(addprefix stats-,$(locales))
 
@@ -194,10 +201,12 @@
 	@echo -n "messages-js.pot: "; msgfmt --statistics $(messages-js.pot) 
 
 stats-%:
-	@echo -n "messages.po: "; msgfmt --statistics $(messages.po)
+	@echo -n "$(*) messages.po: "; msgfmt --statistics $(messages.po)
 	@[ -e $(messages-js.po) ] \
-	 && echo -n "messages-js.po: "; msgfmt --statistics $(messages-js.po) \
+	 && echo -n "$(*) messages-js.po: "; \
+	    msgfmt --statistics $(messages-js.po) \
 	 || echo "$(messages-js.po) doesn't exist (make init-$(*))"
+
 
 summary: $(addprefix summary-,$(locales))
 
@@ -213,24 +222,30 @@
     | sed -e 's/[^0-9]*\([0-9]*\) translated.*/\1/'
 endef
 
-MESSAGES_TOTAL = \
-    $(eval MESSAGES_TOTAL := ( \
-        $(shell $(call untranslated-sh,$(messages.pot))) + \
-        $(shell $(call untranslated-sh,$(messages-js.pot)))))\
-    $(MESSAGES_TOTAL)
+define compute_total_messages
+$(eval MESSAGES_TOTAL := \
+    ($(shell $(call untranslated-sh,$(messages.pot))) + \
+     $(shell $(call untranslated-sh,$(messages-js.pot)))))\
+$(info The catalog templates contain: $(MESSAGES_TOTAL) messages.)
+endef
+
+MESSAGES_TOTAL = $(compute_total_messages)$(MESSAGES_TOTAL)
 
 summary-%:
 	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
-	    % (($(shell $(call translated-sh,$(messages.po))) + \
-	        $(shell $(call translated-sh,$(messages-js.po)))) * 100.0 \
-	       / $(MESSAGES_TOTAL))"
+	    % (($(shell $(call translated-sh,$(messages.po))) \
+	      + $(shell $(call translated-sh,$(messages-js.po)))) * 100.0 \
+	      / $(MESSAGES_TOTAL))"
+
 
 diff: $(addprefix diff-,$(locales))
 
+vc ?= svn
 
 diff-%:
-	@svn diff trac/locale/$(*) \
+	@$(vc) diff trac/locale/$(*) \
 	    | grep -Ev '^([-+]#:|[@ ])' | grep -E '^[-+@]' || true
+
 
 clean-mo:
 	find trac/locale -name \*.mo -exec rm {} \;
