=== debian/changelog ===
trac (0.12.5-3) unstable; urgency=low

  * apply a fix from upstream to fix svn blame and suggest when using
    newer jquery (Closes: #704607)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Apr 2013 17:03:12 -0400

trac (0.12.5-2) unstable; urgency=low

  * Move to unstable, trying to target a wheezy point release
  * Standards-Version: bumped to 3.9.4 (no changes needed)
  * added myself to Uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Apr 2013 13:46:52 -0400

trac (0.12.5-1) experimental; urgency=low

  [ W. Martin Borgert <debacle@debian.org> ]
  * New upstream 0.12.5 (long term support).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 24 Feb 2013 19:03:11 +0000
