=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~), libjs-jquery
 Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6), python-babel (>= 0.9.5)
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>, W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.9.3.1
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/trac/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/trac/trunk/
+Uploaders: Otavio Salvador <otavio@debian.org>,
+           W. Martin Borgert <debacle@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
